/*
 * Copyright (c) Members of the EGEE Collaboration. 2009-2010.
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef _CAPI_SD_TYPES_H_
#define _CAPI_SD_TYPES_H_

typedef enum
{
   SD_FAIL = 0,
   SD_OK
} SD_RETURN_TYPE;

/*Sham structure to contain details for a discoverer*/
typedef struct
{
   void* _disco;
} DISCOVERER;

/*Sham structure to contain details for a serviceDescription*/
typedef struct
{
   void* _serviceDescription;
} SERVICE_DESCRIPTION;

/* struct to contain an array of SERVICE_DESCRIPTIONs
 * with a few useful helpers
 */
typedef struct
{
   unsigned int count;
   SERVICE_DESCRIPTION* descriptionArray;
} SERVICE_DESCRIPTION_ARRAY;

/*Sham structure to contain details for a serviceData*/
typedef struct
{
   void* _serviceData;
} SERVICE_DATA;

/*struct to contain an array of attribute name strings*/
typedef struct
{
   unsigned int count;
   char** attributeNames;
} ATTRIBUTE_NAMES;

/*struct to contain an array of attribute value strings*/
typedef struct
{
   unsigned int count;
   char** attributeValues;
} ATTRIBUTE_VALUES;
#endif

