#!/usr/bin/env python
#
# Copyright (c) Members of the EGEE Collaboration. 2009-2010.
# See http://www.eu-egee.org/partners/ for details on the copyright
# holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
#To use:
#   run this to build :
#      python setup.py build

import os
from distutils.core import setup
from distutils.extension import Extension

saga_location = os.environ['SAGA_LOCATION']
boost_location = os.environ['SAGA_BOOST_LOCATION']

setup (name = "GLITE_SD",
       include_dirs = ['.',
                       boost_location + '/include/boost-1_35',
                       saga_location + '/include',
                       saga_location + '/include/saga/saga',
                       saga_location + '/include/saga/saga/packages/sd'
                      ],
       #We don't use the extension that's built
       #as the libraries will probably be wrong
       #we just want the sources compiled.
       #We do the rest from the Makefile
       ext_modules = [Extension('_Discoverer', ['Discoverer_wrap.cxx'],
                                libraries = ['saga_engine',
                                             'saga_package_sd',
                                             'saga_adaptor_glite_sd'],
                                library_dirs = ['../src',
                                                boost_location + 'lib',
                                                saga_location + '/lib'
                                               ])]
)

